Notifications

Update Notification Email Preferences

PUT
/v0/notifications/email-preferences

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v0/notifications/email-preferences" \  -H "Content-Type: application/json" \  -d '{    "preferences": [      {        "type": "organization_invite",        "emailEnabled": true      }    ]  }'
[  {    "type": "organization_invite",    "emailEnabled": true  }]
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}
{  "_tag": "NotificationError",  "message": "string"}